### Enumeration

# AppStream DisplaySideKind

#### Declaration

    enum AppStream.DisplaySideKind

#### Description [src]

Side a display_length requirement is for.

#### Members

`AS_DISPLAY_SIDE_KIND_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.0
`AS_DISPLAY_SIDE_KIND_SHORTEST`

  Shortest side of the display rectangle.

  - Value: `1`
  - Available since: 1.0
`AS_DISPLAY_SIDE_KIND_LONGEST`

  Longest side of the display rectangle.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_display_side_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.12

###### as_display_side_kind_to_string

Converts the enumerated value to a text representation.

since: 0.12.12